This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 475593 - Review Request: fontpackages - Common directory and macro definitions used by font packages
Review Request: fontpackages - Common directory and macro definitions used b...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11-new-font-rules 475661
  Show dependency treegraph
 
Reported: 2008-12-09 13:22 EST by Nicolas Mailhot
Modified: 2015-01-07 06:09 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 03:20:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
oget.fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-12-09 13:22:11 EST
Spec URL: http://nim.fedorapeople.org/fontpackages/fontpackages.spec
SRPM URL: http://nim.fedorapeople.org/fontpackages/fontpackages-1.10-1.fc11.src.rpm
Description: 

This package contains the basic directory layout, spec templates, rpm macros
and other materials used to create font packages.

This package will serve as base for fonts packaging starting with Fedora 11

It has been approved by FPC today (2008-12-09).
http://fedoraproject.org/wiki/PackagingDrafts/Fonts_packaging_automation_%282008-11-18%29

(18:51:15) Rathann: spot: +1 on fonts packaging automation
(18:51:17) ubertibbs: It makes the packages reasonable instead of having 50 lines of identical shell code pasted into them.
(18:51:21) spot: +1 from me
(18:51:24) hansg: spot: +1 on fonts packaging automation
(18:51:28) ubertibbs: +1 from me.
(18:51:37) racor: -1 from me
(18:51:52) rdieter: +1 (there's good and bad uses of macros, this is an example of the good kind, imo)
(18:52:00) ubertibbs: racor: If you want the reference where we asked the Java folks to add the macros, I will dig it out for you.
(18:52:02) spot: abadger1999: would you like to vote?
(18:52:10) abadger1999: +1
(18:52:21) spot: okay, thats 6 for and 1 against, it passes

http://fedoraproject.org/wiki/Packaging/Minutes/20081209 (minutes not posted yet)

There is currently no hosting source for this project, a demand will be made fedorahosted side but that's no reason not to push the package in rawhide now so packagers can start adapting their packages to the new template(s)
Comment 1 Nicolas Mailhot 2008-12-09 13:30:41 EST
FedoraHosted request
http://fedorahosted.org/fedora-infrastructure/ticket/1040
Comment 2 Nicolas Mailhot 2008-12-09 18:03:38 EST
Infra did its bit, so here is a new version with the fedorahosted references fixed
http://nim.fedorapeople.org/fontpackages/fontpackages.spec
http://nim.fedorapeople.org/fontpackages/fontpackages-1.10-2.fc11.src.rpm
Comment 3 Orcan Ogetbil 2008-12-09 23:08:36 EST
Thanks for this package. The font packaging guidelines always seemed like a maze to me. I hope this will make things a lot easier. I have a few comments and questions:

* rpmlint says:
   fontpackages-devel.noarch: W: obsolete-not-provided rpm-fonts-devel
   fontpackages-filesystem.noarch: W: obsolete-not-provided rpm-fonts-filesystem
Is there a particular reason why you don't provide the obsoletes? I also can't seem to find these packages in our db. Do we really need these obsoletes?

   fontpackages-filesystem.noarch: W: no-documentation
This can be ignored.

* The license tag should be: LGPLv3+

* We prefer %defattr(-,root,root,-)

* Packages must not own files or directories already owned by other packages. 
The directories:
   /usr/share/fonts.
   /etc/fonts/conf.d
are already owned by filesystem and fontconfig. Why share the ownership?

- Suggestion: Since you are the upstream, you can provide a Makefile in the source so that you don't have to do those tricks in the SPEC file.
Comment 4 Nicolas Mailhot 2008-12-10 02:14:53 EST
(In reply to comment #3)
> Thanks for this package. The font packaging guidelines always seemed like a
> maze to me. I hope this will make things a lot easier. I have a few comments
> and questions:
> 
> * rpmlint says:
>    fontpackages-devel.noarch: W: obsolete-not-provided rpm-fonts-devel
>    fontpackages-filesystem.noarch: W: obsolete-not-provided
> rpm-fonts-filesystem
> Is there a particular reason why you don't provide the obsoletes?

rpm-fonts does not exist in the repo and should not exist. These obsoletes are only there for the people who have played with early versions of this package. I've always intended to remove them shortly, and did so now.

> * The license tag should be: LGPLv3+
> 
> * We prefer %defattr(-,root,root,-)

Those are the correct permission and there is no drawback, and lots of advantages, in not specifying them.

> * Packages must not own files or directories already owned by other packages. 
> The directories:
>    /usr/share/fonts.
>    /etc/fonts/conf.d
> are already owned by filesystem and fontconfig. Why share the ownership?

As posted on the guideline change plan they will be removed from those other packages after this one is available to keep font policy in a single place.

> - Suggestion: Since you are the upstream, you can provide a Makefile in the
> source so that you don't have to do those tricks in the SPEC file.

You'll find out that to keep directory info in a single place, the macro file, you'd need to play rpm tricks in this Makefile, and at this point it's stupid to do it out of rpm spec space

New packages
http://nim.fedorapeople.org/fontpackages/fontpackages.spec
http://nim.fedorapeople.org/fontpackages/fontpackages-1.11-1.fc11.src.rpm
Comment 5 Orcan Ogetbil 2008-12-10 02:53:37 EST
(In reply to comment #4)
> (In reply to comment #3)
> > * Packages must not own files or directories already owned by other packages. 
> > The directories:
> >    /usr/share/fonts.
> >    /etc/fonts/conf.d
> > are already owned by filesystem and fontconfig. Why share the ownership?
> 
> As posted on the guideline change plan they will be removed from those other
> packages after this one is available to keep font policy in a single place.
> 
Sorry, I missed that part.

> > - Suggestion: Since you are the upstream, you can provide a Makefile in the
> > source so that you don't have to do those tricks in the SPEC file.
> 
> You'll find out that to keep directory info in a single place, the macro file,
> you'd need to play rpm tricks in this Makefile, and at this point it's stupid
> to do it out of rpm spec space
> 
It was just my suggestion and I respect your decision. I'll approve the package as soon as I see the official FPC announcement.
Comment 6 Orcan Ogetbil 2008-12-10 11:36:48 EST
No need to wait more. I got confirmation from an FPC member.

-----------------------------------------------
This package (fontpackages) is approved by oget
-----------------------------------------------

Other than this, is there any draft yet for the new guidelines?
Comment 7 Nicolas Mailhot 2008-12-10 15:16:37 EST
(In reply to comment #6)

> -----------------------------------------------
> This package (fontpackages) is approved by oget
> -----------------------------------------------

Thank you

> Other than this, is there any draft yet for the new guidelines?

The new templates are in this rpm (FPC approved). I'll turn them in nice wiki pages and hunt all traces of current guidelines once FESCO has approved it. I don't really see the point of doing it before. This is quite a lot of wiki work and if FESCO asks for changes in the templates this work will have to be done twice.

Better to keep the proposal in one place for now IMHO.

New Package CVS Request
=======================
Package Name: fontpackages
Short Description: Common directory and macro definitions used by font packages
Owners: nim
Branches: F10, F9, devel
InitialCC: fonts-sig
Comment 8 Kevin Fenzi 2008-12-14 00:01:57 EST
Does this really need to go into F9/F10? Thats going to be a lot of churn to change all the fonts packages in stable reases. 

Or do you see new fonts using them going into those releases?
Comment 9 Nicolas Mailhot 2008-12-15 04:40:09 EST
This is for new fonts. A lot of packagers will only work on new packages if they can import in stable release without waiting F11 time.

I will actively discourage anyone who suggests converting existing F9 and  F10 packages to the new templates.
Comment 10 Dennis Gilmore 2008-12-15 15:18:25 EST
CVS Done
Comment 11 Fedora Update System 2008-12-17 13:59:14 EST
fontpackages-1.11-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/fontpackages-1.11-1.fc9
Comment 12 Fedora Update System 2008-12-17 14:00:16 EST
fontpackages-1.11-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/fontpackages-1.11-1.fc10
Comment 13 Fedora Update System 2008-12-21 03:20:12 EST
fontpackages-1.11-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-12-21 03:46:21 EST
fontpackages-1.11-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Orcan Ogetbil 2008-12-25 18:55:33 EST
Why is %_fontconfig_templatedir changed from %{_sysconfdir}/fonts/conf.avail to %{_datadir}/fontconfig/conf.avail ?
Comment 16 Nicolas Mailhot 2008-12-29 04:35:28 EST
Because those are not user-modifiable config file but static system templates (ie, data).

So according to the FHS they should be somewhere else.

See the first FPC meeting minutes
Comment 17 Mark Chappell 2010-06-25 12:59:00 EDT
Package Change Request
======================
Package Name: fontpackages
New Branches: EL-6
Owners: tremble    

nim listed as welcoming epel maintainers.
Comment 18 Parag Nemade 2010-06-25 13:27:05 EDT
To Mark,
   and what makes you to think this is not already in EL-6?
Comment 19 Mark Chappell 2010-06-25 13:53:11 EDT
To Parag:

Sorry, failed to find the -devel package in the copy of EL-6 I had, having forgotten about the extra repositories.
Comment 20 Michel Alexandre Salim 2010-07-08 12:08:55 EDT
Package Change Request
======================
Package Name: fontpackages
New Branches: EL-5
Owners: salimma

On the other hand, it's not in EL-5 yet (at least, Koji does not know about it)
Comment 21 Nicolas Mailhot 2010-07-08 12:19:44 EDT
Be very careful when you backport fontpackages to an older release that the spec templates must match the capabilities of rpm in this release
Comment 22 Kevin Fenzi 2010-07-09 14:12:45 EDT
CVS done (by process-cvs-requests.py).
Comment 23 Parag Nemade 2015-01-07 04:33:33 EST
Package Change Request
======================
Package Name: fontpackages
New Branches: EL-5
Owners: pnemade

I am requesting this based on conversation that it is fine to un-retire this in el5

<paragan> tyll_, do you know what can be the reason to retire fontpackages in el5? All I see the dead.package which says removal due to rpmlint but rpmlint is not removed from el5
<tyll_> paragan: I added rpmlint again because it was required to fix the EPEL5 buildroot
<tyll_> paragan: but this was after all depending packages were retired
<paragan> tyll, can I unretire fontpackages in el5 then?
<tyll> paragan: yes
Comment 24 Jon Ciesla 2015-01-07 06:09:02 EST
Complete.

Note You need to log in before you can comment on or make changes to this bug.